import PropTypes from 'prop-types';
import cx from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var CLASSNAME = 'sui-AtomLabel';
var TYPES = {
  SUCCESS: 'success',
  ERROR: 'error',
  ALERT: 'alert',
  CONTRAST: 'contrast',
  DISABLED: 'disabled'
};
var FONT_SIZES = {
  LARGE: 'large',
  MEDIUM: 'medium',
  SMALL: 'small',
  XSMALL: 'xsmall'
};

var getClass = function getClass(_ref) {
  var _cx;

  var type = _ref.type,
      inline = _ref.inline,
      fontSize = _ref.fontSize;
  return cx(CLASSNAME, (_cx = {}, _cx[CLASSNAME + "--" + fontSize] = fontSize, _cx[CLASSNAME + "--" + type] = type, _cx[CLASSNAME + "--inlineLeft"] = inline === 'left', _cx[CLASSNAME + "--inlineRight"] = inline === 'right', _cx));
};

var AtomLabel = function AtomLabel(_ref2) {
  var name = _ref2.name,
      inline = _ref2.inline,
      text = _ref2.text,
      optionalText = _ref2.optionalText,
      type = _ref2.type,
      fontSize = _ref2.fontSize,
      onClick = _ref2.onClick;
  return /*#__PURE__*/_jsxs("label", {
    htmlFor: name,
    className: getClass({
      type: type,
      inline: inline,
      fontSize: fontSize
    }),
    onClick: onClick,
    children: [text, optionalText && /*#__PURE__*/_jsx("span", {
      className: "sui-AtomLabel-optionalText",
      children: optionalText
    })]
  });
};

AtomLabel.displayName = 'AtomLabel';
export default AtomLabel;
export { TYPES as AtomLabelTypes };
export { FONT_SIZES as AtomLabelFontSizes };